<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classFEMB__DAQ__FIFO.html">FEMB_DAQ_FIFO</a></li><li class="navelem"><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classFEMB__DAQ__FIFO_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a03ef0268b6391f88235a4dbada88c496"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03ef0268b6391f88235a4dbada88c496"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a03ef0268b6391f88235a4dbada88c496">capture_control</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_128Mhz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9effa1bac1c138120bdf3d9ca2003124"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9effa1bac1c138120bdf3d9ca2003124"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a9effa1bac1c138120bdf3d9ca2003124">readout_control</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_EVB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a28d97bd0f3c74038fb848e4df7d1871f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28d97bd0f3c74038fb848e4df7d1871f"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a28d97bd0f3c74038fb848e4df7d1871f">data_valid_delay</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk_EVB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a31a9ad881faddb35a5520ad6ef82abd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31a9ad881faddb35a5520ad6ef82abd2"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a31a9ad881faddb35a5520ad6ef82abd2">CDRAM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCDRAM.html">&lt;Entity CDRAM&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a922bde8892ca711a81a9b1164e34a0e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a922bde8892ca711a81a9b1164e34a0e0"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a922bde8892ca711a81a9b1164e34a0e0">PAGE_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97779c0e9712426b9e38bff00a67c2cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97779c0e9712426b9e38bff00a67c2cc"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a97779c0e9712426b9e38bff00a67c2cc">ERR_NOT_FINISHED</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a05b00e4cb222e15812239c14f2503ae7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05b00e4cb222e15812239c14f2503ae7"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a05b00e4cb222e15812239c14f2503ae7">ERR_BAD_SOF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c051b46dabd17c6957a6a2f25ab6e44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c051b46dabd17c6957a6a2f25ab6e44"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a0c051b46dabd17c6957a6a2f25ab6e44">ERR_LARGE_FRAME</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24782fd8e9d4bbef52d136b8fb8c386b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24782fd8e9d4bbef52d136b8fb8c386b"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a24782fd8e9d4bbef52d136b8fb8c386b">ERR_K_IN_FRAME</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b8d8f48e471511c65f3f2d65eb9ddd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b8d8f48e471511c65f3f2d65eb9ddd2"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a1b8d8f48e471511c65f3f2d65eb9ddd2">ERR_CHSUM_BAD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a1dffb078c836232b87cc5ddb0ab290bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dffb078c836232b87cc5ddb0ab290bc"></a>
<b><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a1dffb078c836232b87cc5ddb0ab290bc">byte_array_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PAGE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a71844a93b534914a4afa3e9889e30758"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71844a93b534914a4afa3e9889e30758"></a>
<b><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a71844a93b534914a4afa3e9889e30758">unsigned16_array_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PAGE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4d17af5b22e11bee869ae9e2089ff5b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d17af5b22e11bee869ae9e2089ff5b2"></a>
<b><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a4d17af5b22e11bee869ae9e2089ff5b2">uint8_array_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">PAGE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a1341d7dea891c54ade60f0f1f1f03068"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1341d7dea891c54ade60f0f1f1f03068"></a>
<b><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a1341d7dea891c54ade60f0f1f1f03068">Capture_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CAP_STATE_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CAP_STATE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CAP_STATE_PROCESS</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ad639cbdb66e3a35558ac846da7eccca8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad639cbdb66e3a35558ac846da7eccca8"></a>
<b><a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ad639cbdb66e3a35558ac846da7eccca8">readout_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_CHECKING_0</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_CHECKING_1</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_READING</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a911dfc0046a9a51cea71369287be903f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a911dfc0046a9a51cea71369287be903f"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a911dfc0046a9a51cea71369287be903f">RD_Page</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac63d680a897c628483370c24b82721b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac63d680a897c628483370c24b82721b9"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ac63d680a897c628483370c24b82721b9">WR_Page</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af8a4fab33baf56aabca5b24a274d8340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8a4fab33baf56aabca5b24a274d8340"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#af8a4fab33baf56aabca5b24a274d8340">rd_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adc834def4f1d6383c11c7760a0958e6a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc834def4f1d6383c11c7760a0958e6a"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#adc834def4f1d6383c11c7760a0958e6a">wr_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 000000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a80ebb88659325056a66475b0c97e4144"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80ebb88659325056a66475b0c97e4144"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a80ebb88659325056a66475b0c97e4144">data_out_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a893b06f30a6ef11f6d462f81f2364db0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a893b06f30a6ef11f6d462f81f2364db0"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a893b06f30a6ef11f6d462f81f2364db0">data_in_address</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add36cd97c203d5579879e10cad76108b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add36cd97c203d5579879e10cad76108b"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#add36cd97c203d5579879e10cad76108b">data_in_wr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7589a759cef34eaccfec433a71972a84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7589a759cef34eaccfec433a71972a84"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a7589a759cef34eaccfec433a71972a84">data_out_local</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cc8f0462346d5e7143eee7b7989d88c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cc8f0462346d5e7143eee7b7989d88c"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a4cc8f0462346d5e7143eee7b7989d88c">data_out_valid_delay</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa627bae40561af7e580a18991ae3a173"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa627bae40561af7e580a18991ae3a173"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#aa627bae40561af7e580a18991ae3a173">data_errors</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">byte_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0507d3455bf3c6135926ef239e78b0fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0507d3455bf3c6135926ef239e78b0fe"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a0507d3455bf3c6135926ef239e78b0fe">computed_checksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">unsigned16_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e4644192832ae608c4069b82c049c36"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e4644192832ae608c4069b82c049c36"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a3e4644192832ae608c4069b82c049c36">stream_checksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">unsigned16_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9632864992a4ff9adcfadc2bf961ab1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9632864992a4ff9adcfadc2bf961ab1"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ac9632864992a4ff9adcfadc2bf961ab1">stream_timestamp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">uint8_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a188babbd2ea2cfebe7be62dacf4bcb98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a188babbd2ea2cfebe7be62dacf4bcb98"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a188babbd2ea2cfebe7be62dacf4bcb98">stream_errors</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">uint8_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1d606178e4fcddecfc45a5da8e091a76"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d606178e4fcddecfc45a5da8e091a76"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#a1d606178e4fcddecfc45a5da8e091a76">capture_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">capture_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">CAP_STATE_IDLE</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac17baf6ff4ec5fc3dfc07a9663526577"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac17baf6ff4ec5fc3dfc07a9663526577"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ac17baf6ff4ec5fc3dfc07a9663526577">readout_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">readout_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">RDOUT_STATE_IDLE</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae4017f9960cbd9d744b907f38bff9a4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4017f9960cbd9d744b907f38bff9a4f"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ae4017f9960cbd9d744b907f38bff9a4f">error_buffer_full</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba477aded7a655600880933a9a7a160b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba477aded7a655600880933a9a7a160b"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#aba477aded7a655600880933a9a7a160b">error_convert_in_wait_window</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2a157823e6790a5317e6abafec9f7e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2a157823e6790a5317e6abafec9f7e6"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#ae2a157823e6790a5317e6abafec9f7e6">delay_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:adce0a360bfcafadbf2e2e5fcb3603602"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adce0a360bfcafadbf2e2e5fcb3603602"></a>
<a class="el" href="classFEMB__DAQ__FIFO_1_1behavioral.html#adce0a360bfcafadbf2e2e5fcb3603602">COLDATA_RAM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>CDRAM</b>  <em><a class="el" href="classCDRAM.html">&lt;Entity CDRAM&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html#l00034">34</a> of file <a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html">FEMB_DAQ_FIFO.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/src/FEMB/<a class="el" href="FEMB__DAQ__FIFO_8vhd_source.html">FEMB_DAQ_FIFO.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 12 2016 20:58:00 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
